- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Attributes | Friends | List of all members
pdftron::PDF::ExcelOutputOptions Class Reference

`#include <Convert.h>`

## Public Types
enum | SearchableImageSetting { e_ocr_text = 2, e_ocr_off, e_ocr_always }

## Public Member Functions
| ExcelOutputOptions ()
void | SetPages (int page_from, int page_to)
void | SetPDFPassword (const UString &password)
void | SetLanguage (OutputOptionsOCR::LanguageChoice language)
void | SetPreferredOCREngine (OutputOptionsOCR::PreferredOCREngine engine)
void | SetCustomOCRLanguage (const UString &ocrlang)
void | SetSearchableImageSetting (SearchableImageSetting setting)
void | SetTextRecoveryNSE (bool use_ocr)
void | SetNonTableContent (bool non_tables)
void | SetSingleSheet (bool single_sheet)
void | SetPageSingleSheet (bool page_single)
void | SetHeadersAndFootersSetting (StructuredOutputOptions::SectionConversionSetting option)
void | SetFootnotesSetting (StructuredOutputOptions::SectionConversionSetting option)
StructuredOutputOptions::SectionConversionSetting | GetHeadersAndFootersSetting ()
StructuredOutputOptions::SectionConversionSetting | GetFootnotesSetting ()

## Protected Attributes
TRN_Obj | m_obj
SDF::ObjSet | m_objset

## Friends
class | Convert

## Detailed Description

A class containing options common to ToExcel functions

Definition at line 2078 of file Convert.h.

## Member Enumeration Documentation

enum pdftron::PDF::ExcelOutputOptions::SearchableImageSetting

Enumerator
e_ocr_text |
e_ocr_off |
e_ocr_always |

Definition at line 2118 of file Convert.h.

## Constructor & Destructor Documentation

pdftron::PDF::ExcelOutputOptions::ExcelOutputOptions | ( |  | ) |

Creates a ExcelOutputOptions object with default settings.

## Member Function Documentation

StructuredOutputOptions::SectionConversionSetting pdftron::PDF::ExcelOutputOptions::GetFootnotesSetting | ( |  | ) |

Get the setting for footnotes from this options object.

Returns
  The current footnote setting.

StructuredOutputOptions::SectionConversionSetting pdftron::PDF::ExcelOutputOptions::GetHeadersAndFootersSetting | ( |  | ) |

Get the setting for headers and footers from this options object.

Returns
  The current header and footer setting.

void pdftron::PDF::ExcelOutputOptions::SetCustomOCRLanguage | ( | const UString & | ocrlang | ) |

Specifies the custom OCR languages to use.

Note
  Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

Parameters

  ocrlang | the OCR language(s).

void pdftron::PDF::ExcelOutputOptions::SetFootnotesSetting | ( | StructuredOutputOptions::SectionConversionSetting | option | ) |

Specifies how footnotes should be converted. Default is e_Recover, which will include them as footnotes.

Parameters

  option | The footnote setting.

void pdftron::PDF::ExcelOutputOptions::SetHeadersAndFootersSetting | ( | StructuredOutputOptions::SectionConversionSetting | option | ) |

Specifies how header and footers should be converted. Default is e_Recover, which will include them as headers and footers.

Parameters

  option | The header and footer setting.

void pdftron::PDF::ExcelOutputOptions::SetLanguage | ( | OutputOptionsOCR::LanguageChoice | language | ) |

Specifies the OCR language. Default is automatic language detection.

Parameters

  language | the OCR language.

void pdftron::PDF::ExcelOutputOptions::SetNonTableContent | ( | bool | non_tables | ) |

Specifies whether to convert non-tabular content. Default is false.

Parameters

  non_tables | If false, only tabular content is converted to Excel. If true, all textual content is converted to Excel.

void pdftron::PDF::ExcelOutputOptions::SetPages | ( | int | page_from,
|  | int | page_to
| ) |  |

Specifies a range of pages to be converted. By default all pages are converted. The first page has the page number of 1.

Parameters

  page_from | the first page to be converted.
  page_to | the last page to be converted (inclusive). Use a negative value to specify the last page in the PDF.

void pdftron::PDF::ExcelOutputOptions::SetPageSingleSheet | ( | bool | page_single | ) |

Specifies whether to combine all tables on a page into a single sheet. Default is false.

Parameters

  page_single | If false, each logical table on a page goes to a separate Excel sheet. If true, all logical tables for a page are combined into a single Excel sheet.

void pdftron::PDF::ExcelOutputOptions::SetPDFPassword | ( | const UString & | password | ) |

Specifies the password if the PDF requires one.

Parameters

  password | the PDF password, if required; an empty string otherwise.

void pdftron::PDF::ExcelOutputOptions::SetPreferredOCREngine | ( | OutputOptionsOCR::PreferredOCREngine | engine | ) |

Specifies preferred OCR engine.

Parameters

  engine | The PreferredOCREngine to OCR.

void pdftron::PDF::ExcelOutputOptions::SetSearchableImageSetting | ( | SearchableImageSetting | setting | ) |

Specifies how scanned image pages should be converted. Default is e_ocr_text.

Parameters

  setting | the searchable image setting.

Remarks
  Pre-existing OCRed content is ignored and a new OCR is performed from scratch.

See Also
  SearchableImageSetting

void pdftron::PDF::ExcelOutputOptions::SetSingleSheet | ( | bool | single_sheet | ) |

Specifies whether to combine all tables into a single sheet. Default is false.

Parameters

  single_sheet | If false, each logical table goes to a separate Excel sheet. If true, all logical tables are combined into a single Excel sheet.

void pdftron::PDF::ExcelOutputOptions::SetTextRecoveryNSE | ( | bool | use_ocr | ) |

Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true.

Note
  This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

Parameters

  use_ocr | If true, problem characters are automatically recovered using OCR. If false, no automatic repair is performed.

## Friends And Related Function Documentation

friend class Convert
| friend

Definition at line 2184 of file Convert.h.

## Member Data Documentation

TRN_Obj pdftron::PDF::ExcelOutputOptions::m_obj
| protected

Definition at line 2183 of file Convert.h.

SDF::ObjSet pdftron::PDF::ExcelOutputOptions::m_objset
| protected

Definition at line 2185 of file Convert.h.

The documentation for this class was generated from the following file:

- PDF/Convert.h